Skip to main content
`Ctrl`+`K`

# STShellDestroyFn

A prototype of a function for destroying the context set with `STShellSetContext()` in an `STSHELL`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode STShellDestroyFn(ST st);

## Calling Sequence

- st - the spectral transformation context

## See Also

ST: Spectral Transformation, `STShellSetDestroy()`, `STShellSetContext()`

## Level

advanced

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages